#include <bits/stdc++.h>
#define en '\n'
#define MAXN 200005

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int a,b,x,y; cin>>a>>b>>x>>y;
    if(a==x&&b==y) cout << "nijedan"<<en;
    if(a==x&&b>y) cout << "drugi"<<en;
    if(a>x&&b==y) cout << "prvi"<<en;
    if(a>x&&b>y) cout << "?"<<en;

}